/* ---- GENERAL ---- */
/* initialize */
* {
    /* font-family: nerd-regular; */
    font-family: noto-sans-kr;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    text-align: left;
}
fieldset { border: 0 }

/* layout */
.container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    max-width: 100%;
}

.box {
    max-width: 600px;
    margin: 48px 0;
}

.innerBox { padding: 48px; }

.block { display: block; }

.flex {
    display: flex;
    flex-direction: row;
    align-items: center;
}

/* title */
.titleBox {
    background-color: black;
    /* padding: 48px 48px 24px 48px; */
    padding: 48px;
    border-radius: 12px 12px 0 0;
}
.icon {
    width: 48px;
    border-radius: 12px;
}

/* end button */
#btn-submit {
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 100%;
    background-color: black;
    color: #F6F2EE;;
    padding: 24px;
    font-size: 16px;
    border-radius: 0 0 12px 12px;
    border: 0;
    font-family: nerd-regular;
}
#btn-submit:hover {
    font-family: nerd-bold;
}
#btn-submit:active {
    background-color: #313030;
}


/* spacing */
.m-12 { margin: 48px; }

.mt-12 { margin-top: 48px; }
.mt-6 { margin-top: 24px }
.mt-3 { margin-top: 12px; }

.my-6 { margin: 24px 0px;  }

.mt-2 { margin-top: 8px; }
.mt-1 { margin-top: 4px; }

.gap-6 { gap: 24px; }
.gap-2 { gap: 8px; }
.gap-1 { gap: 4px; }

hr {
    margin: 24px 0;
}

/* font */
@font-face {
    font-family: "noto-sans-kr";
    src: url("./NotoSansKR-VariableFont_wght.ttf");
}
@font-face {
    font-family: "nerd-regular";
    src: url("./0xProtoNerdFontPropo-Regular.ttf");
}
@font-face {
    font-family: "nerd-bold";
    src: url("./0xProtoNerdFontPropo-Bold.ttf");
}

/* markdown */
h1 {
    font-family: noto-sans-kr;
    font-weight: 900;
    font-size: 30px;
    color: #F6F2EE;
}
h2, h3, h4, h5, h6 {
    font-family: noto-sans-kr;
    font-size: 16px;
    font-weight: 900;
}

/* 소제목 */
.bold {
    font-family: noto-sans-kr;
    font-size: 16px;
    font-weight: 900;
}
.label {
    font-size: 16px;
    font-family: noto-sans-kr;
    font-weight: 900;
    display: inline;
}

/* ---- SPECIFIC TO THIS PROJECT ---- */
select {
    font-size: 16px;
    padding-left: 6px;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}



.textField {
    font-size: 16px;
    border-radius: 12px;
    border: 1px solid #000;
    width: 100%;
    height: 48px;
    padding: 8px 12px;
    display: block;
}

